Skip to main content
GET
/
10dlc
/
phoneNumberAssignmentByProfile
/
{taskId}
/
phoneNumbers
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.messaging10dlc.phoneNumberAssignmentByProfile.listPhoneNumberStatus(
  'taskId',
);

console.log(response.records);
{
  "records": [
    {
      "taskId": "667a80f8-b0a9-49d0-b9ab-a7a1bcc45086",
      "phoneNumber": "+12024567890",
      "status": "pending"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskId
string
required

Unique identifier of the task.

Query Parameters

recordsPerPage
integer
default:20

Number of records to return per page.

page
integer
default:1

Page number to retrieve (1-based).

Response

Successful Response

records
ProfileAssignmentPhoneNumbers · object[]
required